Bug 1029682 - [abrt] system-config-printer-1.4.3-4.fc21: Gtk.py:1187:_do_insert:AttributeError: 'TreeStore' object has no attribute 'insert_with_values'
[abrt] system-config-printer-1.4.3-4.fc21: Gtk.py:1187:_do_insert:AttributeEr...
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: pygobject3 (Show other bugs)
22
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Colin Walters
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:ce7a25812022ee490ee86b0d1eb...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-11-12 17:16 EST by Michael Schwendt
Modified: 2016-07-19 06:35 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-07-19 06:35:01 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (1.10 KB, text/plain)
2013-11-12 17:16 EST, Michael Schwendt
no flags Details
File: dso_list (83 bytes, text/plain)
2013-11-12 17:16 EST, Michael Schwendt
no flags Details
File: environ (1.44 KB, text/plain)
2013-11-12 17:16 EST, Michael Schwendt
no flags Details

  None (edit)
Description Michael Schwendt 2013-11-12 17:16:35 EST
Description of problem:
1. ran "system-config-printer" in a gnome-terminal
2. Python traceback

$ rpm -qf /usr/share/system-config-printer/system-config-printer.py /usr/lib64/python2.7/site-packages/gi/overrides/Gtk.py
system-config-printer-1.4.3-4.fc21.x86_64
pygobject3-base-3.11.1-1.fc21.x86_64

Version-Release number of selected component:
system-config-printer-1.4.3-4.fc21

Additional info:
reporter:       libreport-2.1.9
cmdline:        /usr/bin/python /usr/share/system-config-printer/system-config-printer.py
executable:     /usr/share/system-config-printer/system-config-printer.py
kernel:         3.12.0-2.fc21.x86_64
runlevel:       N 5
type:           Python
uid:            1000

Truncated backtrace:
Gtk.py:1187:_do_insert:AttributeError: 'TreeStore' object has no attribute 'insert_with_values'

Traceback (most recent call last):
  File "/usr/share/system-config-printer/system-config-printer.py", line 1829, in on_new_printer_activate
    parent=self.PrintersWindow):
  File "/usr/share/system-config-printer/newprinter.py", line 699, in init
    self.fillDeviceTab()
  File "/usr/share/system-config-printer/newprinter.py", line 1951, in fillDeviceTab
    physother, False])
  File "/usr/lib64/python2.7/site-packages/gi/overrides/Gtk.py", line 1194, in append
    return self._do_insert(parent, -1, row)
  File "/usr/lib64/python2.7/site-packages/gi/overrides/Gtk.py", line 1187, in _do_insert
    treeiter = self.insert_with_values(parent, position, columns, row)
AttributeError: 'TreeStore' object has no attribute 'insert_with_values'

Local variables in innermost frame:
position: -1
self: <TreeStore object at 0x1e66820 (GtkTreeStore at 0x238a480)>
parent: None
columns: [0, 1, 2]
row: [<Value (gchararray) Enter URI>, <Value (PyObject) (description: <PhysicalDevice.PhysicalDevice (,,)>)>, <Value (gboolean) False>]
Comment 1 Michael Schwendt 2013-11-12 17:16:44 EST
Created attachment 823153 [details]
File: backtrace
Comment 2 Michael Schwendt 2013-11-12 17:16:48 EST
Created attachment 823154 [details]
File: dso_list
Comment 3 Michael Schwendt 2013-11-12 17:16:54 EST
Created attachment 823155 [details]
File: environ
Comment 4 Michael Schwendt 2013-11-12 17:18:14 EST
1. ran "system-config-printer" in a gnome-terminal
2. click "+ Add" button
3. Python traceback
Comment 5 Jiri Popelka 2013-11-13 09:20:31 EST
(In reply to Michael Schwendt from comment #0)
>   File "/usr/lib64/python2.7/site-packages/gi/overrides/Gtk.py", line 1194,
> in append
>     return self._do_insert(parent, -1, row)
>   File "/usr/lib64/python2.7/site-packages/gi/overrides/Gtk.py", line 1187,
> in _do_insert
>     treeiter = self.insert_with_values(parent, position, columns, row)
> AttributeError: 'TreeStore' object has no attribute 'insert_with_values'

Looks like a pygobject3 problem.
Comment 6 Jaroslav Reznik 2015-03-03 10:12:09 EST
This bug appears to have been reported against 'rawhide' during the Fedora 22 development cycle.
Changing version to '22'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/Fedora_Program_Management/HouseKeeping/Fedora22
Comment 7 Fedora Admin XMLRPC Client 2016-01-27 12:42:50 EST
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 8 Fedora Admin XMLRPC Client 2016-01-27 12:59:03 EST
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 9 Fedora Admin XMLRPC Client 2016-01-27 13:00:02 EST
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 10 Fedora Admin XMLRPC Client 2016-01-27 13:12:04 EST
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 11 Fedora End Of Life 2016-07-19 06:35:01 EDT
Fedora 22 changed to end-of-life (EOL) status on 2016-07-19. Fedora 22 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.